Crie uma API Key para testar os endpoints ao vivo.

Criar API Key

Esta operação consome créditos do seu workspace por chamada.

post /api/v1/find-person-by-domain

Autorização

Informe sua API key gerada em /developer/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

Informe sua API key gerada em /developer/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://tamz.ai/api/v1/find-person-by-domain" \  -H "Content-Type: application/json" \  -d '{    "full_name": "Maria Fernanda Costa",    "email_or_domain": "maria@totvs.com.br"  }'
{
  "data": {
    "person": {
      "person_id": "087e858e-473c-4f50-b5b0-c1df6c021550",
      "name": "string",
      "title": "string",
      "seniority": "string",
      "relationship_type": "string",
      "company": "string",
      "company_cnpj": "string",
      "has_email": true,
      "has_phone": true,
      "has_linkedin": true,
      "has_cpf": true
    },
    "phone": {}
  },
  "meta": {
    "match": "matched",
    "domain": "string",
    "match_score": 0,
    "credits_used": 0,
    "credits_remaining": 0
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key. Use Authorization: Bearer tamz_xxx or X-API-Key header"
  }
}
{
  "error": {
    "code": "INSUFFICIENT_CREDITS",
    "message": "Insufficient credits"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Rate limit exceeded"
  }
}